none
'Install App for SharePoint' There were errors when validating the App Package RRS feed

  • Question

  • Hello,

    When testing with an app, I tried to add an app event receiver before learning that remote event receiver are not allowed with Sharepoint-hosted app. So I reseted the Handle app installed and Web Project properties of my project and tried to redeploy and this error occurred :

    'Install App for SharePoint' There were errors when validating the App Package
    Something other than the project's properties have been modified but I don't know what.
    Thursday, September 5, 2013 9:46 AM

Answers

  • Turns out that Visual Studio have done some changes into my AppManifest when I tried to add the remote event receiver and where not rolled by up when I reverted to not using it :

    • The Hosting Type was set to Autohosted which is coherent since SharePoint-hosted are a no-go.
    • The Start page was set to nothing so I had to redefine it.

    Hopes it helps other people

    • Marked as answer by Eric Gaspard Thursday, September 5, 2013 9:50 AM
    Thursday, September 5, 2013 9:50 AM

All replies

  • Turns out that Visual Studio have done some changes into my AppManifest when I tried to add the remote event receiver and where not rolled by up when I reverted to not using it :

    • The Hosting Type was set to Autohosted which is coherent since SharePoint-hosted are a no-go.
    • The Start page was set to nothing so I had to redefine it.

    Hopes it helps other people

    • Marked as answer by Eric Gaspard Thursday, September 5, 2013 9:50 AM
    Thursday, September 5, 2013 9:50 AM
  • I think the best way to figure real reason out is to look at ULS logs.

    This is example, what I had:

    Unexpected        App Packaging: CreatePackage: Unexpected exception: There were errors when validating the App package: There were errors when validating the App Package. Other warnings / errors associated with this exception:  The current version of SharePoint is less than the SharePointMinVersion specified in the app manifest. CurrentVersion='15.0.4693.1000', SharePointMinVersion='16.0.0.0'.

    Tuesday, March 24, 2015 4:01 PM
  • Hi, where are those logs ?

    Thursday, September 21, 2017 2:09 PM